rem @echo off
setlocal

if %PROCESSOR_ARCHITECTURE% == x86 goto goodproc

echo "This provider is provided only for x86 processors
goto done

:goodproc

rem Remove existing installation
call "%~dp0%uninstall-ritprovider.cmd"

set INSTALLTO=%SystemDrive%\RITSoftwareProvider\
set INSTALLFROM=%~dp0

if %INSTALLTO% == %INSTALLFROM% goto skipcopy

if not exist %INSTALLTO% mkdir %INSTALLTO%

copy /y "%INSTALLFROM%*.*" %INSTALLTO%*.*

:skipcopy

pushd %INSTALLTO%



;;;vstorcontrol install -inf %INSTALLTO%virtualstorage.inf
;;;del %INSTALLTO%disk.image
;;;vstorcontrol create fixeddisk -newimage %INSTALLTO%disk.image -blocks 40000

cscript register_app.vbs -register "RIT Software Provider" %INSTALLTO%RITSP.dll "RIT Software Provider"



:done

